package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.entity.Order;
import com.lightinit.hsdataportal.model.OrderListModel;
import com.lightinit.hsdataportal.model.OrderSearchModel;
import com.lightinit.hsdataportal.model.ResultState;

import java.util.List;

public interface IOrderService {
    List<OrderListModel> queryOpenList(OrderSearchModel orderSearchModel);

    long queryOpenCount(OrderSearchModel orderSearchModel);

    ResultState deleteOrder(Long id);

    ResultState generateOrder(Long id,Order order);
}
